#
# Makefile for LCRASH arch specific directory
#
# Copyright 1999 Silicon Graphics, Inc. All rights reserved.
#
DEPTH  = ../..
include $(DEPTH)/commondefs
SUB_DIRS = cmds lib

all: default

default: subdirs_make

subdirs_make:
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; \
			make TOPDIR=$(TOPDIR) $GFLAGS=$(GFLAGS) \
			ARCH=$(ARCH); cd .. ); \
	done

clean:
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; \
			make TOPDIR=$(TOPDIR) $GFLAGS=$(GFLAGS) \
			ARCH=$(ARCH) clean; cd .. ); \
	done

clobber: clean
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; \
			make TOPDIR=$(TOPDIR) $GFLAGS=$(GFLAGS) \
			ARCH=$(ARCH) clobber; cd .. ); \
	done

exports install:
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; \
			make TOPDIR=$(TOPDIR) $GFLAGS=$(GFLAGS) \
			ARCH=$(ARCH) install; cd .. ); \
	done
